Retrieve resource assignments
curl --request GET \
--url https://api.spacebring.com/resources/v1/assignments \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/resources/v1/assignments"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/resources/v1/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignments": [
{
"entire": true,
"resourceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "<string>",
"subscription": {
"startDate": "<string>",
"endDate": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"surname": "<string>"
}
},
"endDate": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"quantity": 123,
"resource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"type": "<string>",
"imageUrl": "<string>"
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"surname": "<string>"
}
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Resources
Retrieve resource assignments
Retrieve resource assignments in the location. An assignment links a resource, or a number of seats in it, to a company or a member for the duration of a subscription.
OAuth
Required scopes:resources.readonly or resourcesGET
/
resources
/
v1
/
assignments
Retrieve resource assignments
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Maximum number of assignments per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100. Ignored when registrationRef is used.
Required range:
1 <= x <= 100UUID of the location whose resource assignments to list.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page. Ignored when registrationRef is used.
Response
OK
Was this page helpful?